------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff, Jerome Legrand
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Strings.Unbounded.Text_Io;
use Ada.Strings.Unbounded.Text_Io;

with Text_Io;
use Text_Io;

package body Address_Spaces is


   procedure Initialize (
         A_Addr : in out Address_Space ) is 
   begin
      A_Addr.Object_Type:=Address_Space_Object_Type;
   end Initialize;



   --------------------------------------------------



   procedure Put (
         A_Addr : in     Address_Space ) is 
   begin
      Put ("Name : " & To_String(A_Addr.Name));
      Put (" : processor : " & To_String(A_Addr.Cpu_Name));
      Put (" ; Text_memory_size : " & A_Addr.Text_Memory_Size'Img);
      Put (" ; heap_memory_size : " & A_Addr.Heap_Memory_Size'Img);
      Put (" ; stack_memory_size : " & A_Addr.Stack_Memory_Size'Img);
      Put (" ; data_memory_size : " & A_Addr.Data_Memory_Size'Img);
      New_Line;
   end Put;

   procedure Put_Name (
         A_Addr : in     Address_Space_Ptr ) is 
   begin
      Put(To_String(A_Addr.Name));
   end Put_Name;

   procedure Put (
         A_Addr : in     Address_Space_Ptr ) is 
   begin
      Put(A_Addr.All);
   end Put;


   --------------------------------------------------

   function Copy (
         A_Addr : in     Address_Space_Ptr ) 
     return Address_Space_Ptr is 

      New_Addr : Address_Space_Ptr;  

   begin
      New_Addr:=new Address_Space;
      New_Addr.All:=A_Addr.All;
      return New_Addr;
   end Copy;






end Address_Spaces;




