------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff, Jerome Legrand
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------


with Objects;
use Objects;



with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

package Networks is


   type Type_Of_Network is
         (Bounded_Delay,
          Parametric_Delay);

   type Network is new Generic_Object with 
      record
         Network_Type : Type_Of_Network;
      end record;

   type Network_Ptr is access all Network'Class;

   procedure Put (
         My_Network : in     Network_Ptr );

   procedure Free (
         My_Network : in out Network_Ptr );

   function Copy (
         My_Network : in     Network_Ptr )
     return Network_Ptr;

   procedure Initialize (
         My_Network : in out Network );

   function Get_Name (
          My_Network : in Network_Ptr )
         return Unbounded_String;




end Networks;







