------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automatically check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff, Jerome Legrand
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.File_Selection;
use Gtk.File_Selection;
with Gtk.Button;
use Gtk.Button;

with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;


generic

   with procedure Ok_Pressed (
         File : in     Unbounded_String ); 
   with procedure Cancel_Pressed; 


package Generic_Select_File_Pkg is


   type Generic_Select_File_Record is new Gtk_File_Selection_Record with private; 
   type Generic_Select_File_Access is access all Generic_Select_File_Record'Class; 



   procedure Gtk_New (
         Generic_Select_File :    out Generic_Select_File_Access; 
         Title               : in     Unbounded_String            ); 
   procedure Initialize (
         Generic_Select_File : access Generic_Select_File_Record'Class; 
         Title               : in     Unbounded_String                  ); 


   Generic_Select_File : Generic_Select_File_Access;


private

   procedure On_Ok_Pressed (
         Object : access Gtk_Button_Record'Class ); 
   procedure On_Cancel_Pressed (
         Object : access Gtk_Button_Record'Class ); 


   type Generic_Select_File_Record is new Gtk_File_Selection_Record with 
      record 
         Ok_Button     : Gtk_Button;  
         Cancel_Button : Gtk_Button;  
      end record; 

end Generic_Select_File_Pkg;
